### Method

# Jsonrpc OutputStream write_message_async

since: 3.26

#### Declaration [src]

    void
    jsonrpc_output_stream_write_message_async (
      JsonrpcOutputStream* self,
      GVariant* message,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously sends a message to the peer.

This asynchronous operation will complete once the message has been buffered, and there is no guarantee the peer received it.

Available since: 3.26

#### Parameters

`message`

  Type: `GVariant`

  A `GVariant`.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` or `NULL`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Closure data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.